cygwin_logon_user
Prev | Helper functions to change user context | Next

## Name

cygwin_logon_user

## Synopsis

    #include <sys/cygwin.h>

`HANDLE cygwin_logon_user(`const struct passwd *passwd_entry, const char *password`)`;

## Description

Given a pointer to a passwd entry of a user and a cleartext password, returns a HANDLE to an impersonation token for this user which can be used in a subsequent call to `cygwin_set_impersonation_token` to impersonate that user. This function can only be called from a process which has the required NT user rights to perform a logon.

## See also

See also the chapter Switching the user context in the Cygwin User's guide.

See also cygwin_set_impersonation_token

Prev | Up | Next
Helper functions to change user context | Home | cygwin_set_impersonation_token